'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * transfer { a: 'A' } to [{value: 'a', text: 'A'}]
 */
var processData = function processData(data) {
  var values = [];
  if ((typeof data === 'undefined' ? 'undefined' : _typeof(data)) === 'object' && !(data instanceof Array)) {
    var keys = Object.keys(data);
    values = keys.map(function (key) {
      return {
        value: key,
        text: data[key]
      };
    });
  } else {
    values = data;
  }
  return values;
};

/**
 * transfer [{value: 'a', text: 'A'}] to { a: 'A' }
 */
var transferDataToObj = function transferDataToObj(data) {
  var obj = {};
  data.forEach(function (item) {
    var key = item.value === '' ? '__all__' : item.value;
    obj[key] = item.text;
  });
  return obj;
};

/**
 * valueProp maybe props.value or key
 */
var getValuePropValue = function getValuePropValue(child) {
  var key = '';
  if ('value' in child.props) {
    key = child.props.value;
  } else {
    key = child.key;
  }
  return key;
};

exports["default"] = {
  processData: processData,
  transferDataToObj: transferDataToObj,
  getValuePropValue: getValuePropValue
};
module.exports = exports['default'];